package com.mitchelbv.thuis_c.ui.card

import androidx.compose.foundation.layout.Column
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.collectAsState
import androidx.compose.runtime.getValue
import androidx.lifecycle.viewmodel.compose.viewModel

@Composable
fun CardsScreen(cardViewModel: CardViewModel = viewModel()) {
    val cardUiState by cardViewModel.uiState.collectAsState()
    Column()    {
        cardUiState.cards.forEach {
            Text(it.issuer)
        }
    }
}